PrivateArtistsAPI¶
- class minim.api.qobuz.PrivateArtistsAPI(client: APIClient, /)[source]¶
Bases:
PrivateQobuzResourceAPIArtists API endpoints for the private Qobuz API.
Important
This class is managed by
PrivateQobuzAPIClientand should not be instantiated directly.- Parameters:
- clientminim.api._shared.APIClient
API client instance used to make HTTP requests.
Methods
Favorite one or more artists.
Get Qobuz catalog information for an artist.
Get Qobuz catalog information for an artist's releases.
Get Qobuz catalog information for featured artists.
Get the current user's favorite artists.
Get Qobuz catalog information for similar artists.
Check whether the current user has an artist favorited.
Search for artists in the Qobuz catalog.
Toggle the favorite status of an artist.
Unfavorite one or more artists.
- follow_artists(artist_ids: Collection[int | str], /) dict[str, str][source]¶
Favorite one or more artists.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- artist_idsint, str, or Collection[int | str]; positional-only
Qobuz IDs of the artists.
Examples:
865362,"21473137","865362,21473137",[865362, "21473137"].
- Returns:
- statusdict[str, str]
Whether the artists were favorited successfully.
Sample response:
{"status": "success"}.
- get_artist(artist_id: int | str, /, *, expand: str | Collection[str] | None = None, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None, subresource: str = 'page') dict[str, Any][source]¶
Get Qobuz catalog information for an artist.
- Parameters:
- artist_idint or str; positional-only
Qobuz ID of the artist.
Examples:
865362,"21473137".- expandstr or Collection[str]; keyword-only; optional
Related resources to include metadata for in the response. Only applicable when subresource is
"get".Valid values:
"albums","albums_with_last_release","playlists","tracks_appears_on".Examples:
"playlists","albums,albums_with_last_release",["albums", "albums_with_last_release"].- limitint; keyword-only; optional
Maximum number of albums to return when
"albums"or"albums_with_last_release"is included in the expand parameter. Only applicable when subresource is"get".Valid range:
1to500.API default:
25.- offsetint; keyword-only; optional
Index of the first album to return when
"albums"or"albums_with_last_release"is included in the expand parameter. Use with limit to get the next batch of albums. Only applicable when subresource is"get".Minimum value:
0.API default:
0.- sort_bystr; keyword-only; optional
Field to sort the artist’s releases by. Only applicable when subresource is
"page".Valid values:
"relevant","release_date".- descendingbool; keyword-only; optional
Whether to sort in descending order. Only applicable when subresource is
"page".- subresourcestr; keyword-only; default:
"page" API subresource to use.
Valid values:
"get"– LegacyGET artist/getendpoint."page"– CurrentGET artist/pageendpoint.
- Returns:
- artistdict[str, Any]
Qobuz metadata for the artist.
Sample responses
{ "artist_category": <str>, "biography": { "content": <str>, "language": <str>, "source": None }, "id": <int>, "images": { "portrait": { "format": <str>, "hash": <str> } }, "last_release": { "artist": { "id": <int>, "name": { "display": <str> } }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "audio_info": { "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float> }, "awards": [], "dates": { "download": <str>, "original": <str>, "stream": <str> }, "description": <str>, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[str]> }, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "id": <int>, "name": <str> }, "parental_warning": <bool>, "release_tags": [], "release_type": <str>, "rights": { "downloadable": <bool>, "hires_purchasable": <bool>, "hires_streamable": <bool>, "purchasable": <bool>, "streamable": <bool> }, "title": <str>, "tracks_count": <int>, "version": None }, "name": { "display": <str> }, "playlists": { "has_more": <bool>, "items": [] }, "releases": [ { "has_more": <bool>, "items": [ { "artist": { "id": <int>, "name": { "display": <str> } }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "audio_info": { "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float> }, "awards": [], "dates": { "download": <str>, "original": <str>, "stream": <str> }, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[str]> }, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "id": <int>, "name": <str> }, "parental_warning": <bool>, "release_tags": [], "release_type": <str>, "rights": { "downloadable": <bool>, "hires_purchasable": <bool>, "hires_streamable": <bool>, "purchasable": <bool>, "streamable": <bool> }, "title": <str>, "tracks_count": <int>, "version": <str>, } ], "type": "album" }, { "has_more": <bool>, "items": [], "type": "live" }, { "has_more": <bool>, "items": [], "type": "compilation" }, { "has_more": <bool>, "items": [ { "artist": { "id": <int>, "name": { "display": <str> } }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "audio_info": { "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float> }, "awards": [], "dates": { "download": <str>, "original": <str>, "stream": <str>, }, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[int]> }, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "id": <int>, "name": <str> }, "parental_warning": <bool>, "release_tags": [], "release_type": <str>, "rights": { "downloadable": <bool>, "hires_purchasable": <bool>, "hires_streamable": <bool>, "purchasable": <bool>, "streamable": <bool> }, "title": <str>, "tracks_count": <int>, "version": <str> } ], "type": "epSingle" }, { "has_more": <bool>, "items": [], "type": "download" }, { "has_more": <bool>, "items": [ { "artist": { "id": <int>, "name": { "display": <str> } }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "audio_info": { "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float> }, "awards": [], "dates": { "download": <str>, "original": <str>, "stream": <str> }, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[int]> }, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "id": <int>, "name": <str> }, "parental_warning": <bool>, "release_tags": [], "release_type": <str>, "rights": { "downloadable": <bool>, "hires_purchasable": <bool>, "hires_streamable": <bool>, "purchasable": <bool>, "streamable": <bool> }, "title": <str>, "tracks_count": <int>, "version": <str> } ], "type": "other" }, { "has_more": <bool>, "items": [], "type": "awardedRelease" } ], "similar_artists": { "has_more": <bool>, "items": [ { "id": <int>, "images": { "portrait": { "format": <str>, "hash": <str> } }, "name": { "display": <str> } } ] }, "top_tracks": [ { "album": { "genre": { "id": <int>, "name": <str>, "path": <list[int]> }, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "id": <int>, "name": <str> }, "title": <str>, "version": <str> }, "artist": { "id": <int>, "name": { "display": <str> } }, "artists": [], "audio_info": { "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float> }, "composer": { "id": <int>, "name": <str>, }, "duration": <int>, "id": <int>, "isrc": <str>, "parental_warning": <bool>, "physical_support": { "media_number": <int>, "track_number": <int> }, "rights": { "downloadable": <bool>, "hires_purchasable": <bool>, "hires_streamable": <bool>, "previewable": <bool>, "purchasable": <bool>, "sampleable": <bool>, "streamable": <bool> }, "title": <str>, "version": <str>, "work": None } ] }
{ "albums": { "items": [ { "articles": [], "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "genre": { "color": <str>, "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "back": None, "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_count": <int>, "parental_warning": <bool>, "popularity": <int>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "slug": <str>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "url": <str>, "version": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "albums_as_primary_artist_count": <int>, "albums_as_primary_composer_count": <int>, "albums_count": <int>, "albums_without_last_release": { "items": [ { "articles": [], "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "genre": { "color": <str>, "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "back": None, "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "media_count": <int>, "parental_warning": <bool>, "popularity": <int>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "slug": <str>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "url": <str>, "version": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "biography": { "content": <str>, "language": <str>, "source": <str>, "summary": <str>, }, "id": <int>, "image": { "extralarge": <str>, "large": <str>, "medium": <str>, "mega": <str>, "small": <str>, }, "information": None, "name": <str>, "picture": None, "playlists": [ { "created_at": <int>, "description": <str>, "duration": <int>, "featured_artists": [ { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> } ], "genres": [ { "color": <str>, "id": <int>, "name": <str>, "path": <list[int]>, "percent": <int>, "slug": <str> } ], "id": <int>, "image_rectangle": <list[str]>, "image_rectangle_mini": <list[str]>, "images": <list[str]>, "images150": <list[str]>, "images300": <list[str]>, "indexed_at": <int>, "is_collaborative": <bool>, "is_featured": <bool>, "is_public": <bool>, "is_published": <bool>, "name": <str>, "owner": { "id": <int>, "name": <str> }, "published_from": <int>, "published_to": <int>, "slug": <str>, "stores": <list[str]>, "timestamp_position": <int>, "tracks": { "items": [ { "album": { "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "genre": { "color": <str>, "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "maximum_technical_specifications": <str>, "media_count": <int>, "parental_warning": <bool>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <str>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "version": <str> }, "article_ids": <dict[str, int]>, "articles": [ { "currency": <str>, "description": <str>, "id": <int>, "label": <str>, "price": <float>, "type": <str>, "url": <str>, } ], "audio_info": { "replaygain_track_gain": <float>, "replaygain_track_peak": <float> }, "composer": { "id": <int>, "name": <str>, }, "copyright": <str>, "description": [], "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "hires": <bool>, "hires_streamable": <bool>, "id": <int>, "isrc": <str>, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "maximum_technical_specifications": <str>, "media_number": <int>, "parental_warning": <bool>, "performer": { "id": <int>, "name": <str> }, "performers": <str>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "track_number": <int>, "version": <str>, "work": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "tracks_count": <int>, "updated_at": <int>, "users_count": <int> } ], "similar_artist_ids": <list[int]>, "slug": <str>, "tracks_appears_on": { "items": [ { "album": { "artist": { "albums_count": <int>, "id": <int>, "image": None, "name": <str>, "picture": None, "slug": <str> }, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[int]>, "slug": <str> }, "hires": <bool>, "hires_streamable": <bool>, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "albums_count": <int>, "id": <int>, "name": <str>, "slug": <str>, "supplier_id": <int> }, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "maximum_technical_specifications": <str>, "media_count": <int>, "parental_warning": <bool>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <str>, "qobuz_id": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "released_at": <int>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "tracks_count": <int>, "upc": <str>, "version": <str> }, "articles": [], "audio_info": { "replaygain_track_gain": <float>, "replaygain_track_peak": <float> }, "composer": { "id": <int>, "name": <str> }, "copyright": <str>, "displayable": <bool>, "downloadable": <bool>, "duration": <int>, "hires": <bool>, "hires_streamable": <bool>, "id": <int>, "isrc": <str>, "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float>, "maximum_technical_specifications": <str>, "media_number": <int>, "parental_warning": <bool>, "performer": { "id": <int>, "name": <str> }, "performers": <str>, "previewable": <bool>, "purchasable": <bool>, "purchasable_at": <int>, "release_date_download": <str>, "release_date_original": <str>, "release_date_purchase": <str>, "release_date_stream": <str>, "sampleable": <bool>, "streamable": <bool>, "streamable_at": <int>, "title": <str>, "track_number": <int>, "version": <str>, "work": <str> } ], "limit": <int>, "offset": <int>, "total": <int> } }
- get_artist_releases(artist_id: int | str, /, *, release_types: str | Collection[str] | None = None, content_filters: str | Collection[str] | None = None, limit: int | None = None, offset: int | None = None, sort_by: str | None = None, descending: bool | None = None, include_tracks: bool = False, track_limit: int | None = None) dict[str, Any][source]¶
Get Qobuz catalog information for an artist’s releases.
User authentication
- User authentication
Access the
GET /artist/getReleasesGridandGET /artist/getReleasesListendpoints.
- Parameters:
- artist_idint or str; positional-only
Qobuz ID of the artist.
Examples:
865362,"21473137".- release_typesstr or Collection[str]; keyword-only; optional
Release types to include in the response.
Valid values:
"all","album","live","compilation","epSingle","other","download","composer".- content_filtersstr or Collection[str]; keyword-only; optional
Content filters to apply to the releases.
Valid values:
"hires","explicit".- limitint; keyword-only; optional
Maximum number of releases to return.
Valid range:
1to100.API default:
50.- offsetint; keyword-only; optional
Index of the first release to return. Use with limit to get the next batch of releases.
Minimum value:
0.API default:
0.- sort_bystr; keyword-only; optional
Field to sort the releases by.
Valid values:
"relevant","release_date".- descendingbool; keyword-only; optional
Whether to sort in descending order.
- include_tracksbool; keyword-only; default:
False Whether to include tracks in the response.
- track_limitint; keyword-only; optional
Maximum number of tracks to include per release when include_tracks is
True.Valid range:
1to30.API default:
10.
- Returns:
- releasesdict[str, Any]
Page of Qobuz metadata for the artist’s releases.
Sample response
{ "has_more": <bool>, "items": [ { "artist": { "id": <int>, "name": { "display": <str> } }, "artists": [ { "id": <int>, "name": <str>, "roles": <list[str]> } ], "audio_info": { "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float> }, "awards": [], "dates": { "download": <str>, "original": <str>, "stream": <str>, }, "duration": <int>, "genre": { "id": <int>, "name": <str>, "path": <list[int]>, }, "id": <str>, "image": { "large": <str>, "small": <str>, "thumbnail": <str> }, "label": { "id": <int>, "name": <str> }, "parental_warning": <bool>, "release_tags": [], "release_type": <str>, "rights": { "downloadable": <bool>, "hires_purchasable": <bool>, "hires_streamable": <bool>, "purchasable": <bool>, "streamable": <bool> }, "title": <str>, "tracks": { "has_more": <bool>, "items": [ { "artist": { "id": <int>, "name": { "display": <str> } }, "artists": [], "audio_info": { "maximum_bit_depth": <int>, "maximum_channel_count": <int>, "maximum_sampling_rate": <float> }, "composer": { "id": <int>, "name": <str>, }, "duration": <int>, "id": <int>, "isrc": <str>, "parental_warning": <bool>, "physical_support": { "media_number": <int>, "track_number": <int> }, "rights": { "downloadable": <bool>, "hires_purchasable": <bool>, "hires_streamable": <bool>, "previewable": <bool>, "purchasable": <bool>, "sampleable": <bool>, "streamable": <bool> }, "title": <str>, "version": <str>, "work": None } ] }, "tracks_count": <int>, "version": <str>, } ] }
- get_featured_artists(genre_ids: int | str | Collection[int | str] | None = None, *, limit: int | None = None, offset: int | None = None) dict[str, Any][source]¶
Get Qobuz catalog information for featured artists.
- Parameters:
- genre_idsint, str, or Collection[int | str]; optional
Qobuz IDs of the genres used to filter the featured artists toreturn.
Examples:
10,"64","10,64",[10, "64"].- limitint; keyword-only; optional
Maximum number of artists to return per item type.
Valid range:
1to500.API default:
25.- offsetint; keyword-only; optional
Index of the first artist to return per item type. Use with limit to get the next batch of artists.
Minimum value:
0.API default:
0.
- Returns:
- artistsdict[str, Any]
Page of Qobuz metadata for the featured artists.
Sample response
{ "artists": { "items": [ { "albums_count": <int>, "id": <int>, "image": { "extralarge": <str>, "large": <str>, "medium": <str>, "mega": <str>, "small": <str> }, "name": <str>, "picture": <str>, "slug": <str> } ], "limit": <int>, "offset": <int>, "total": <int> } }
- get_my_followed_artists(*, limit: int | None = None, offset: int | None = None) dict[str, Any][source]¶
Get the current user’s favorite artists.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- limitint; keyword-only; optional
Maximum number of artists to return.
Valid range:
1to500.API default:
50.- offsetint; keyword-only; optional
Index of the first artist to return. Use with limit to get the next batch of artists.
Minimum value:
0.API default:
0.
- Returns:
- artistsdict[str, Any]
Page of Qobuz metadata for artists in the user’s favorites.
Sample response
{ "artists": { "items": [ { "albums_count": <int>, "favorited_at": <int>, "id": <int>, "image": { "extralarge": <str>, "large": <str>, "medium": <str>, "mega": <str>, "small": <str>, }, "name": <str>, "slug": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "user": { "id": <int>, "login": <str> } }
- get_similar_artists(artist_id: int | str, /, limit: int | None = None, offset: int | None = None) dict[str, Any][source]¶
Get Qobuz catalog information for similar artists.
- Parameters:
- artist_idint or str; positional-only
Qobuz ID of the artist.
Examples:
865362,"21473137".- limitint; keyword-only; optional
Maximum number of artists to return.
Valid range:
1to100.API default:
25.- offsetint; keyword-only; optional
Index of the first artist to return. Use with limit to get the next batch of artists.
Minimum value:
0.API default:
0.
- Returns:
- artistsdict[str, Any]
Page of Qobuz metadata for the similar artists.
Sample response
{ "artists": { "items": [ { "albums_count": <int>, "id": <int>, "image": { "extralarge": <str>, "large": <str>, "medium": <str>, "mega": <str>, "small": <str> }, "name": <str>, "picture": <str>, "slug": <str> } ], "limit": <int>, "offset": <int>, "total": <int> } }
- is_following_artist(artist_id: int | str, /) dict[str, bool][source]¶
Check whether the current user has an artist favorited.
- Parameters:
- artist_idint or str; positional-only
Qobuz ID of the artist.
Examples:
865362,"21473137".
- Returns:
- is_followingdict[str, bool]
Whether the current user has the artist favorited.
Sample response:
{"status": <bool>}.
- search_artists(query: str, /, *, limit: int | None = None, offset: int | None = None) dict[str, Any][source]¶
Search for artists in the Qobuz catalog.
- Parameters:
- querystr; positional-only
Search query.
Tip
Searches can be narrowed using tags, such as
#ByMainArtist,#ByComposer,#ByPerformer,#ByReleaseName,#ByLabel,#NewRelease, and#HiRes.Use strict matching instead of fuzzy search by wrapping the keyword string in double quotes.
Example:
"Galantis" #ByMainArtist #HiRes.- limitint; keyword-only; optional
Maximum number of artists to return.
Valid range:
1to500.API default:
50.- offsetint; keyword-only; optional
Index of the first artist to return. Use with limit to get the next batch of artists.
Minimum value:
0.API default:
0.
- Returns:
- artistsdict[str, Any]
Page of Qobuz metadata for the matching artists.
Sample response
{ "artists": { "items": [ { "albums_count": <int>, "id": <int>, "image": { "extralarge": <str>, "large": <str>, "medium": <str>, "mega": <str>, "small": <str> }, "name": <str>, "picture": <str>, "slug": <str> } ], "limit": <int>, "offset": <int>, "total": <int> }, "query": <str> }
- toggle_artist_followed(artist_id: int | str, /) dict[str, bool][source]¶
Toggle the favorite status of an artist.
- Parameters:
- artist_idint or str; positional-only
Qobuz ID of the artist.
Examples:
865362,"21473137".
- Returns:
- statusdict[str, bool]
Whether the artist is now favorited.
Sample response:
{"status": <bool>}.
- unfollow_artists(artist_ids: Collection[int | str], /) dict[str, str][source]¶
Unfavorite one or more artists.
User authentication
- User authentication
Access and manage your library.
- Parameters:
- artist_idsint, str, or Collection[int | str]; positional-only
Qobuz IDs of the artists.
Examples:
865362,"21473137","865362,21473137",[865362, "21473137"].
- Returns:
- statusdict[str, str]
Whether the artists were unfavorited successfully.
Sample response:
{"status": "success"}.